import { ITranslateOptions } from '@/@core/types/translation.interface'
import { useTranslations } from 'next-intl'

interface Props extends ITranslateOptions {
  text: string
}
const Translation = ({ text }: Props) => {
  const t = useTranslations()
  return <>{t(text)}</>
}

export default Translation
